The number of feature flags to return. Defaults to -1, which returns all flags
offset
integer
No
—
Where to start in the list. Use this with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.
sort
string
No
—
A comma-separated list of fields to sort by. Fields prefixed by a dash ( - ) sort in descending order
filter
string
No
—
A comma-separated list of filters. Each filter is of the form field operator value. Supported fields are explained above.
body
object
Yes
—
Request body
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "projectKey": { "type": "string", "description": "The project key" }, "environmentKey": { "type": "string", "description": "The environment key" }, "limit": { "type": "integer", "description": "The number of feature flags to return. Defaults to -1, which returns all flags" }, "offset": { "type": "integer", "description": "Where to start in the list. Use this with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query `limit`." }, "sort": { "type": "string", "description": "A comma-separated list of fields to sort by. Fields prefixed by a dash ( - ) sort in descending order" }, "filter": { "type": "string", "description": "A comma-separated list of filters. Each filter is of the form `field operator value`. Supported fields are explained above." }, "body": { "type": "object", "description": "Request body" } }, "required": [ "PCID", "projectKey", "environmentKey", "body" ]}
A comma-separated list of context filters. This endpoint only accepts kind filters, with the equals operator, and name filters, with the startsWith operator. To learn more about the filter syntax, read Filtering contexts and context instances.
limit
integer
No
—
Specifies the maximum number of items in the collection to return (max: 100, default: 100)
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "projectKey": { "type": "string", "description": "The project key" }, "environmentKey": { "type": "string", "description": "The environment key" }, "filter": { "type": "string", "description": "A comma-separated list of context filters. This endpoint only accepts `kind` filters, with the `equals` operator, and `name` filters, with the `startsWith` operator. To learn more about the filter syntax, read [Filtering contexts and context instances](https://launchdarkly.com/docs/ld-docs/api/contexts#filtering-contexts-and-context-instances)." }, "limit": { "type": "integer", "description": "Specifies the maximum number of items in the collection to return (max: 100, default: 100)" } }, "required": [ "PCID", "projectKey", "environmentKey" ]}
A comma-separated list of context filters. This endpoint only accepts kind filters, with the equals operator, and value filters, with the startsWith operator. To learn more about the filter syntax, read Filtering contexts and context instances.
limit
integer
No
—
Specifies the maximum number of items in the collection to return (max: 100, default: 50)
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "projectKey": { "type": "string", "description": "The project key" }, "environmentKey": { "type": "string", "description": "The environment key" }, "attributeName": { "type": "string", "description": "The attribute name" }, "filter": { "type": "string", "description": "A comma-separated list of context filters. This endpoint only accepts `kind` filters, with the `equals` operator, and `value` filters, with the `startsWith` operator. To learn more about the filter syntax, read [Filtering contexts and context instances](https://launchdarkly.com/docs/ld-docs/api/contexts#filtering-contexts-and-context-instances)." }, "limit": { "type": "integer", "description": "Specifies the maximum number of items in the collection to return (max: 100, default: 50)" } }, "required": [ "PCID", "projectKey", "environmentKey", "attributeName" ]}
Specifies the maximum number of context instances to return (max: 50, default: 20)
continuationToken
string
No
—
Limits results to context instances with sort values after the value specified. You can use this for pagination, however, we recommend using the next link we provide instead.
sort
string
No
—
Specifies a field by which to sort. LaunchDarkly supports sorting by timestamp in ascending order by specifying ts for this value, or descending order by specifying -ts.
filter
string
No
—
A comma-separated list of context filters. This endpoint only accepts an applicationId filter. To learn more about the filter syntax, read Filtering contexts and context instances.
includeTotalCount
boolean
No
—
Specifies whether to include or omit the total count of matching context instances. Defaults to true.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "projectKey": { "type": "string", "description": "The project key" }, "environmentKey": { "type": "string", "description": "The environment key" }, "id": { "type": "string", "description": "The context instance ID" }, "limit": { "type": "integer", "description": "Specifies the maximum number of context instances to return (max: 50, default: 20)" }, "continuationToken": { "type": "string", "description": "Limits results to context instances with sort values after the value specified. You can use this for pagination, however, we recommend using the `next` link we provide instead." }, "sort": { "type": "string", "description": "Specifies a field by which to sort. LaunchDarkly supports sorting by timestamp in ascending order by specifying `ts` for this value, or descending order by specifying `-ts`." }, "filter": { "type": "string", "description": "A comma-separated list of context filters. This endpoint only accepts an `applicationId` filter. To learn more about the filter syntax, read [Filtering contexts and context instances](https://launchdarkly.com/docs/ld-docs/api/contexts#filtering-contexts-and-context-instances)." }, "includeTotalCount": { "type": "boolean", "description": "Specifies whether to include or omit the total count of matching context instances. Defaults to true." } }, "required": [ "PCID", "projectKey", "environmentKey", "id" ]}
Specifies the maximum number of items in the collection to return (max: 50, default: 20)
continuationToken
string
No
—
Limits results to contexts with sort values after the value specified. You can use this for pagination, however, we recommend using the next link we provide instead.
sort
string
No
—
Specifies a field by which to sort. LaunchDarkly supports sorting by timestamp in ascending order by specifying ts for this value, or descending order by specifying -ts.
filter
string
No
—
A comma-separated list of context filters. This endpoint only accepts an applicationId filter. To learn more about the filter syntax, read Filtering contexts and context instances.
includeTotalCount
boolean
No
—
Specifies whether to include or omit the total count of matching contexts. Defaults to true.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "projectKey": { "type": "string", "description": "The project key" }, "environmentKey": { "type": "string", "description": "The environment key" }, "kind": { "type": "string", "description": "The context kind" }, "key": { "type": "string", "description": "The context key" }, "limit": { "type": "integer", "description": "Specifies the maximum number of items in the collection to return (max: 50, default: 20)" }, "continuationToken": { "type": "string", "description": "Limits results to contexts with sort values after the value specified. You can use this for pagination, however, we recommend using the `next` link we provide instead." }, "sort": { "type": "string", "description": "Specifies a field by which to sort. LaunchDarkly supports sorting by timestamp in ascending order by specifying `ts` for this value, or descending order by specifying `-ts`." }, "filter": { "type": "string", "description": "A comma-separated list of context filters. This endpoint only accepts an `applicationId` filter. To learn more about the filter syntax, read [Filtering contexts and context instances](https://launchdarkly.com/docs/ld-docs/api/contexts#filtering-contexts-and-context-instances)." }, "includeTotalCount": { "type": "boolean", "description": "Specifies whether to include or omit the total count of matching contexts. Defaults to true." } }, "required": [ "PCID", "projectKey", "environmentKey", "kind", "key" ]}
The number of environments to return in the response. Defaults to 20.
offset
integer
No
—
Where to start in the list. This is for use with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.
filter
string
No
—
A comma-separated list of filters. Each filter is of the form field:value.
sort
string
No
—
A comma-separated list of fields to sort by. Fields prefixed by a dash ( - ) sort in descending order.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "projectKey": { "type": "string", "description": "The project key" }, "limit": { "type": "integer", "description": "The number of environments to return in the response. Defaults to 20." }, "offset": { "type": "integer", "description": "Where to start in the list. This is for use with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query `limit`." }, "filter": { "type": "string", "description": "A comma-separated list of filters. Each filter is of the form `field:value`." }, "sort": { "type": "string", "description": "A comma-separated list of fields to sort by. Fields prefixed by a dash ( - ) sort in descending order." } }, "required": [ "PCID", "projectKey" ]}
A comma-separated list of filters. This endpoint only accepts filtering by experimentKey. The filter returns layers which include that experiment for the selected environment(s). For example: filter=reservations.experimentKey contains expKey.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "projectKey": { "type": "string", "description": "The project key" }, "filter": { "type": "string", "description": "A comma-separated list of filters. This endpoint only accepts filtering by `experimentKey`. The filter returns layers which include that experiment for the selected environment(s). For example: `filter=reservations.experimentKey contains expKey`." } }, "required": [ "PCID", "projectKey" ]}
A comma-separated list of properties that can reveal additional information in the response.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "projectKey": { "type": "string", "description": "The project key." }, "expand": { "type": "string", "description": "A comma-separated list of properties that can reveal additional information in the response." } }, "required": [ "PCID", "projectKey" ]}
The number of projects to return in the response. Defaults to 20.
offset
integer
No
—
Where to start in the list. Use this with pagination. For example, an offset of 10 skips the first ten items and returns the next limit items.
filter
string
No
—
A comma-separated list of filters. Each filter is constructed as field:value.
sort
string
No
—
A comma-separated list of fields to sort by. Fields prefixed by a dash ( - ) sort in descending order.
expand
string
No
—
A comma-separated list of properties that can reveal additional information in the response.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "limit": { "type": "integer", "description": "The number of projects to return in the response. Defaults to 20." }, "offset": { "type": "integer", "description": "Where to start in the list. Use this with pagination. For example, an offset of 10 skips the first ten items and returns the next `limit` items." }, "filter": { "type": "string", "description": "A comma-separated list of filters. Each filter is constructed as `field:value`." }, "sort": { "type": "string", "description": "A comma-separated list of fields to sort by. Fields prefixed by a dash ( - ) sort in descending order." }, "expand": { "type": "string", "description": "A comma-separated list of properties that can reveal additional information in the response." } }, "required": [ "PCID" ]}
Where to start in the list. Use this with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.
sort
string
No
—
Accepts sorting order and fields. Fields can be comma separated. Possible fields are ‘creationDate’, ‘name’, ‘lastModified’. Example: sort=name sort by names ascending or sort=-name,creationDate sort by names descending and creationDate ascending.
filter
string
No
—
Accepts filter by excludedKeys, external, includedKeys, query, tags, unbounded, view. To learn more about the filter syntax, read the ‘Filtering segments’ section above.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "projectKey": { "type": "string", "description": "The project key" }, "environmentKey": { "type": "string", "description": "The environment key" }, "limit": { "type": "integer", "description": "The number of segments to return. Defaults to 20." }, "offset": { "type": "integer", "description": "Where to start in the list. Use this with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query `limit`." }, "sort": { "type": "string", "description": "Accepts sorting order and fields. Fields can be comma separated. Possible fields are 'creationDate', 'name', 'lastModified'. Example: `sort=name` sort by names ascending or `sort=-name,creationDate` sort by names descending and creationDate ascending." }, "filter": { "type": "string", "description": "Accepts filter by `excludedKeys`, `external`, `includedKeys`, `query`, `tags`, `unbounded`, `view`. To learn more about the filter syntax, read the 'Filtering segments' section above." } }, "required": [ "PCID", "projectKey", "environmentKey" ]}
Requires confirmation for all flag and segment changes via the UI in this environment
critical
boolean
No
—
Whether the environment is critical
defaultTrackEvents
boolean
No
—
Enables tracking detailed information for new flags by default
defaultTtl
integer
No
—
The default time (in minutes) that the PHP SDK can cache feature flag rules locally
key
string
Yes
—
A project-unique key for the new environment
name
string
Yes
—
A human-friendly name for the new environment
requireComments
boolean
No
—
Requires comments for all flag and segment changes via the UI in this environment
secureMode
boolean
No
—
Ensures that one end user of the client-side SDK cannot inspect the variations for another end user
source
object
No
—
The source value
tags
string[]
No
—
Tags to apply to the new environment
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "projectKey": { "type": "string", "description": "The project key" }, "color": { "type": "string", "description": "A color to indicate this environment in the UI" }, "confirmChanges": { "type": "boolean", "description": "Requires confirmation for all flag and segment changes via the UI in this environment" }, "critical": { "type": "boolean", "description": "Whether the environment is critical" }, "defaultTrackEvents": { "type": "boolean", "description": "Enables tracking detailed information for new flags by default" }, "defaultTtl": { "type": "integer", "description": "The default time (in minutes) that the PHP SDK can cache feature flag rules locally" }, "key": { "type": "string", "description": "A project-unique key for the new environment" }, "name": { "type": "string", "description": "A human-friendly name for the new environment" }, "requireComments": { "type": "boolean", "description": "Requires comments for all flag and segment changes via the UI in this environment" }, "secureMode": { "type": "boolean", "description": "Ensures that one end user of the client-side SDK cannot inspect the variations for another end user" }, "source": { "type": "object", "description": "The source value", "properties": { "key": { "type": "string", "description": "The key of the source environment to clone from" }, "version": { "type": "integer", "description": "(Optional) The version number of the source environment to clone from. Used for optimistic locking" } } }, "tags": { "type": "array", "items": { "type": "string" }, "description": "Tags to apply to the new environment" } }, "required": [ "PCID", "projectKey", "color", "key", "name" ]}
Creates the provided environments for this project. If omitted default environments will be created instead.
includeInSnippetByDefault
boolean
No
—
Whether or not flags created in this project are made available to the client-side JavaScript SDK by default.
key
string
Yes
—
A unique key used to reference the project in your code.
name
string
Yes
—
A human-friendly name for the project.
namingConvention
object
No
—
Naming Convention
tags
string[]
No
—
Tags for the project
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "defaultClientSideAvailability": { "type": "object", "description": "Default Client Side Availability", "properties": { "usingEnvironmentId": { "type": "boolean", "description": "Whether to enable availability for client-side SDKs." }, "usingMobileKey": { "type": "boolean", "description": "Whether to enable availability for mobile SDKs." } }, "required": [ "usingEnvironmentId", "usingMobileKey" ] }, "environments": { "type": "array", "items": { "type": "object" }, "description": "Creates the provided environments for this project. If omitted default environments will be created instead." }, "includeInSnippetByDefault": { "type": "boolean", "description": "Whether or not flags created in this project are made available to the client-side JavaScript SDK by default." }, "key": { "type": "string", "description": "A unique key used to reference the project in your code." }, "name": { "type": "string", "description": "A human-friendly name for the project." }, "namingConvention": { "type": "object", "description": "Naming Convention", "properties": { "case": { "type": "string", "description": "The casing convention to enforce for new flag keys in this project" }, "prefix": { "type": "string", "description": "The prefix to enforce for new flag keys in this project" } } }, "tags": { "type": "array", "items": { "type": "string" }, "description": "Tags for the project" } }, "required": [ "PCID", "key", "name" ]}
Whether to create a standard segment (<code>false</code>) or a big segment (<code>true</code>). Standard segments include rule-based and smaller list-based segments. Big segments include larger list-based segments and synced segments. Only use a big segment if you need to add more than 15,000 individual targets.
unboundedContextKind
string
No
—
For big segments, the targeted context kind.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "projectKey": { "type": "string", "description": "The project key" }, "environmentKey": { "type": "string", "description": "The environment key" }, "description": { "type": "string", "description": "A description of the segment's purpose" }, "key": { "type": "string", "description": "A unique key used to reference the segment" }, "name": { "type": "string", "description": "A human-friendly name for the segment" }, "tags": { "type": "array", "items": { "type": "string" }, "description": "Tags for the segment" }, "unbounded": { "type": "boolean", "description": "Whether to create a standard segment (<code>false</code>) or a big segment (<code>true</code>). Standard segments include rule-based and smaller list-based segments. Big segments include larger list-based segments and synced segments. Only use a big segment if you need to add more than 15,000 individual targets." }, "unboundedContextKind": { "type": "string", "description": "For big segments, the targeted context kind." } }, "required": [ "PCID", "projectKey", "environmentKey", "key", "name" ]}
Create or update flag defaults for projectParameters:
Parameter
Type
Required
Default
Description
projectKey
string
Yes
—
The project key
booleanDefaults
object
Yes
—
Boolean Defaults
defaultClientSideAvailability
object
Yes
—
Default Client Side Availability
tags
string[]
Yes
—
A list of default tags for each flag
temporary
boolean
Yes
—
Whether the flag should be temporary by default
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "projectKey": { "type": "string", "description": "The project key" }, "booleanDefaults": { "type": "object", "description": "Boolean Defaults", "properties": { "trueDisplayName": { "type": "string", "description": "The display name for the true variation, displayed in the LaunchDarkly user interface" }, "falseDisplayName": { "type": "string", "description": "The display name for the false variation, displayed in the LaunchDarkly user interface" }, "trueDescription": { "type": "string", "description": "The description for the true variation" }, "falseDescription": { "type": "string", "description": "The description for the false variation" }, "onVariation": { "type": "integer", "description": "The variation index of the flag variation to use for the default targeting behavior when a flag's targeting is on and the target did not match any rules" }, "offVariation": { "type": "integer", "description": "The variation index of the flag variation to use for the default targeting behavior when a flag's targeting is off" } }, "required": [ "trueDisplayName", "falseDisplayName", "trueDescription", "falseDescription", "onVariation", "offVariation" ] }, "defaultClientSideAvailability": { "type": "object", "description": "Default Client Side Availability", "properties": { "usingMobileKey": { "type": "boolean", "description": "Whether to enable availability for mobile SDKs" }, "usingEnvironmentId": { "type": "boolean", "description": "Whether to enable availability for client-side SDKs" } }, "required": [ "usingMobileKey", "usingEnvironmentId" ] }, "tags": { "type": "array", "items": { "type": "string" }, "description": "A list of default tags for each flag" }, "temporary": { "type": "boolean", "description": "Whether the flag should be temporary by default" } }, "required": [ "PCID", "projectKey", "booleanDefaults", "defaultClientSideAvailability", "tags", "temporary" ]}
The time at which you want the old SDK key to expire, in UNIX milliseconds. By default, the key expires immediately. During the period between this call and the time when the old SDK key expires, both the old SDK key and the new SDK key will work.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "projectKey": { "type": "string", "description": "The project key" }, "environmentKey": { "type": "string", "description": "The environment key" }, "expiry": { "type": "integer", "description": "The time at which you want the old SDK key to expire, in UNIX milliseconds. By default, the key expires immediately. During the period between this call and the time when the old SDK key expires, both the old SDK key and the new SDK key will work." } }, "required": [ "PCID", "projectKey", "environmentKey" ]}
Specifies the maximum number of items in the collection to return (max: 50, default: 20)
continuationToken
string
No
—
Limits results to context instances with sort values after the value specified. You can use this for pagination, however, we recommend using the next link we provide instead.
sort
string
No
—
Specifies a field by which to sort. LaunchDarkly supports sorting by timestamp in ascending order by specifying ts for this value, or descending order by specifying -ts.
filter
string
No
—
A comma-separated list of context filters. This endpoint only accepts an applicationId filter. To learn more about the filter syntax, read Filtering contexts and context instances.
includeTotalCount
boolean
No
—
Specifies whether to include or omit the total count of matching context instances. Defaults to true.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "projectKey": { "type": "string", "description": "The project key" }, "environmentKey": { "type": "string", "description": "The environment key" }, "limit": { "type": "integer", "description": "Specifies the maximum number of items in the collection to return (max: 50, default: 20)" }, "continuationToken": { "type": "string", "description": "Limits results to context instances with sort values after the value specified. You can use this for pagination, however, we recommend using the `next` link we provide instead." }, "sort": { "type": "string", "description": "Specifies a field by which to sort. LaunchDarkly supports sorting by timestamp in ascending order by specifying `ts` for this value, or descending order by specifying `-ts`." }, "filter": { "type": "string", "description": "A comma-separated list of context filters. This endpoint only accepts an `applicationId` filter. To learn more about the filter syntax, read [Filtering contexts and context instances](https://launchdarkly.com/docs/ld-docs/api/contexts#filtering-contexts-and-context-instances)." }, "includeTotalCount": { "type": "boolean", "description": "Specifies whether to include or omit the total count of matching context instances. Defaults to true." } }, "required": [ "PCID", "projectKey", "environmentKey" ]}
Specifies the maximum number of items in the collection to return (max: 50, default: 20)
continuationToken
string
No
—
Limits results to contexts with sort values after the value specified. You can use this for pagination, however, we recommend using the next link we provide instead.
sort
string
No
—
Specifies a field by which to sort. LaunchDarkly supports sorting by timestamp in ascending order by specifying ts for this value, or descending order by specifying -ts.
Specifies whether to include or omit the total count of matching contexts. Defaults to true.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "projectKey": { "type": "string", "description": "The project key" }, "environmentKey": { "type": "string", "description": "The environment key" }, "limit": { "type": "integer", "description": "Specifies the maximum number of items in the collection to return (max: 50, default: 20)" }, "continuationToken": { "type": "string", "description": "Limits results to contexts with sort values after the value specified. You can use this for pagination, however, we recommend using the `next` link we provide instead." }, "sort": { "type": "string", "description": "Specifies a field by which to sort. LaunchDarkly supports sorting by timestamp in ascending order by specifying `ts` for this value, or descending order by specifying `-ts`." }, "filter": { "type": "string", "description": "A comma-separated list of context filters. To learn more about the filter syntax, read [Filtering contexts and context instances](https://launchdarkly.com/docs/ld-docs/api/contexts#filtering-contexts-and-context-instances)." }, "includeTotalCount": { "type": "boolean", "description": "Specifies whether to include or omit the total count of matching contexts. Defaults to true." } }, "required": [ "PCID", "projectKey", "environmentKey" ]}